View Issue Details

IDProjectCategoryView StatusLast Update
0002204Industrial-Craft²general / otherpublic2017-07-10 13:34
ReporterArkyoAssigned ToPlayer 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformJava SE 8u131 x64OSWindowsOS Version10 Creators
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002204: [1.10.2]IC2 crash,even crash log isn't generated.
DescriptionI added IC2 to my modpack then it crashed.
I remove it & it goes again.

Modpack:https://github.com/Arkyo/BigBangMods/tree/1.10.2-v0.4.0.3

Crash @ Phase 5/7 immediately when loading IC2
java -Xmx5G -Xmn2G

IC 2.6.234
Additional InformationForge 12.18.3.2316
TagsNo tags attached.
Minecraft Version1.10.2

Activities

Player

2017-06-14 15:29

administrator   ~0005304

I can't even get it to load without IC2 - exactly like the branch.

Problem 1:
"The mod dendrology (Ancient Trees) requires mods [koresample] to be available"

Problem 2:
Optifine's reflection code chokes on "java.lang.NoClassDefFoundError: bxl", implying a problem with runtime deobfuscation.

All with just the mods from github and forge 2254.

Arkyo

2017-06-15 04:35

reporter   ~0005305

Last edited: 2017-06-15 04:45

View 3 revisions

ok lemme check it out thanks

Hmm seems I have KoreSample in my %AppData% but not github,my fault

And i think OptiFine deobf not working is because incompatible with my Forge?
I tried b4 and OptiFine has released a patch for the issue

Arkyo

2017-06-18 08:10

reporter   ~0005309

Even if I run only Forge and IC2 still crashes

Chocohead

2017-06-18 12:03

developer   ~0005311

It should be able to produce a crash report if it's in alone, or at least something coming up in the log file.

Arkyo

2017-06-18 12:44

reporter   ~0005312

Unfortunately nope.I would like to give you the log if I could but I can't.It doesn't generate one even alone.

Player

2017-06-18 13:21

administrator   ~0005313

There is always a log file. Logging starts well before even scanning the mods folder.

Arkyo

2017-06-26 14:19

reporter   ~0005324

You mean when I press the play button,the latest.log?

Player

2017-06-26 19:08

administrator   ~0005325

No, the log files are in the logs folder in your game directory, next to the mods folder. latest.log and fml-client-latest.log are relevant on the client, but only if there was actually a problem in the last run of the game.

Arkyo

2017-06-30 10:48

reporter   ~0005339

I know lol \logs\latest.log

However usually when mods crash they will have a crash log in \crash-reports\

But launcher didn't generate it when ic2 crashes

Anyway when I'm free I'll try get you a log

Player

2017-06-30 10:57

administrator   ~0005340

There's also fml-client-latest.log (client/sp) or fml-server-latest.log (dedicated server). latest.log doesn't always receive all important information, neither do the fml ones -> I need both. Also keep in mind that they get overwritten with every launch.

Arkyo

2017-06-30 10:59

reporter   ~0005341

K I'll send fml-client and fml-server,both latest when I'm free

Player

2017-06-30 11:01

administrator   ~0005342

I also need latest.log, not just the fml ones.

Arkyo

2017-06-30 11:02

reporter   ~0005343

Sure

Arkyo

2017-07-06 11:23

reporter  

latest.log (13,975 bytes)

Arkyo

2017-07-06 11:23

reporter   ~0005357

Last edited: 2017-07-06 11:26

View 2 revisions

Uploading
Erm.. fml-client-latest.log hasn't been modified by Forge when crasing IC2..
my latest fcl.log is on 2nd July

Arkyo

2017-07-06 11:27

reporter   ~0005358

[19:22:14] [Client thread/ERROR]: IndustrialCraft 2 Error

The IC2 config file contains an invalid entry for balance/recyclerBlacklist.

Invalid value at line 63 (recyclerBlacklist = minecraft:glass_pane, minecraft:stick, minecraft:snowball, minecraft:snow_layer, minecraft:snow, IC2:blockScaffold).

There is no item matching IC2:blockScaffold.
[19:22:14] [Client thread/FATAL]: Exception caught while showing an error.
java.lang.IllegalStateException: From thread Thread[Client thread,5,main]: Thread[Thread-6,5,main] already has the context current
    at org.lwjgl.opengl.ContextGL.checkAccess(ContextGL.java:184) ~[lwjgl-2.9.4-nightly-20150209.jar:?]
    at org.lwjgl.opengl.ContextGL.forceDestroy(ContextGL.java:241) ~[lwjgl-2.9.4-nightly-20150209.jar:?]
    at org.lwjgl.opengl.DrawableGL.destroy(DrawableGL.java:130) ~[lwjgl-2.9.4-nightly-20150209.jar:?]
    at org.lwjgl.opengl.Display$5.destroy(Display.java:834) ~[lwjgl-2.9.4-nightly-20150209.jar:?]
    at org.lwjgl.opengl.Display.destroy(Display.java:1095) ~[lwjgl-2.9.4-nightly-20150209.jar:?]
    at ic2.core.PlatformClient.displayError(PlatformClient.java:213) [PlatformClient.class:?]
    at ic2.core.util.ConfigUtil.displayError(ConfigUtil.java:303) [ConfigUtil.class:?]
    at ic2.core.util.ConfigUtil.asRecipeInputList(ConfigUtil.java:43) [ConfigUtil.class:?]
    at ic2.core.block.machine.tileentity.TileEntityRecycler.initLate(TileEntityRecycler.java:45) [TileEntityRecycler.class:?]
    at ic2.core.IC2.modsLoaded(IC2.java:421) [IC2.class:?]
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_25]
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[?:1.8.0_25]
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.8.0_25]
    at java.lang.reflect.Method.invoke(Method.java:483) ~[?:1.8.0_25]
    at net.minecraftforge.fml.common.FMLModContainer.handleModStateEvent(FMLModContainer.java:616) [FMLModContainer.class:?]
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_25]
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[?:1.8.0_25]
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.8.0_25]
    at java.lang.reflect.Method.invoke(Method.java:483) ~[?:1.8.0_25]
    at com.google.common.eventbus.EventSubscriber.handleEvent(EventSubscriber.java:74) [guava-17.0.jar:?]
    at com.google.common.eventbus.SynchronizedEventSubscriber.handleEvent(SynchronizedEventSubscriber.java:47) [guava-17.0.jar:?]
    at com.google.common.eventbus.EventBus.dispatch(EventBus.java:322) [guava-17.0.jar:?]
    at com.google.common.eventbus.EventBus.dispatchQueuedEvents(EventBus.java:304) [guava-17.0.jar:?]
    at com.google.common.eventbus.EventBus.post(EventBus.java:275) [guava-17.0.jar:?]
    at net.minecraftforge.fml.common.LoadController.sendEventToModContainer(LoadController.java:243) [LoadController.class:?]
    at net.minecraftforge.fml.common.LoadController.propogateStateMessage(LoadController.java:221) [LoadController.class:?]
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_25]
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[?:1.8.0_25]
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.8.0_25]
    at java.lang.reflect.Method.invoke(Method.java:483) ~[?:1.8.0_25]
    at com.google.common.eventbus.EventSubscriber.handleEvent(EventSubscriber.java:74) [guava-17.0.jar:?]
    at com.google.common.eventbus.SynchronizedEventSubscriber.handleEvent(SynchronizedEventSubscriber.java:47) [guava-17.0.jar:?]
    at com.google.common.eventbus.EventBus.dispatch(EventBus.java:322) [guava-17.0.jar:?]
    at com.google.common.eventbus.EventBus.dispatchQueuedEvents(EventBus.java:304) [guava-17.0.jar:?]
    at com.google.common.eventbus.EventBus.post(EventBus.java:275) [guava-17.0.jar:?]
    at net.minecraftforge.fml.common.LoadController.distributeStateMessage(LoadController.java:145) [LoadController.class:?]
    at net.minecraftforge.fml.common.Loader.initializeMods(Loader.java:810) [Loader.class:?]
    at net.minecraftforge.fml.client.FMLClientHandler.finishMinecraftLoading(FMLClientHandler.java:334) [FMLClientHandler.class:?]
    at net.minecraft.client.Minecraft.func_71384_a(Minecraft.java:520) [bcx.class:?]
    at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:351) [bcx.class:?]
    at net.minecraft.client.main.Main.main(SourceFile:124) [Main.class:?]
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_25]
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[?:1.8.0_25]
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.8.0_25]
    at java.lang.reflect.Method.invoke(Method.java:483) ~[?:1.8.0_25]
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:135) [launchwrapper-1.12.jar:?]
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]

Chocohead

2017-07-06 15:43

developer   ~0005359

Change the end of line 63 in the config file from IC2:blockScaffold to IC2:scaffold

Arkyo

2017-07-07 02:32

reporter   ~0005364

%AppData%\.minecraft\config\ic2.ini
Case-Sensitive

*Fixed,thx

Issue History

Date Modified Username Field Change
2017-06-14 09:23 Arkyo New Issue
2017-06-14 15:29 Player Note Added: 0005304
2017-06-14 15:29 Player Assigned To => Player
2017-06-14 15:29 Player Status new => feedback
2017-06-15 04:35 Arkyo Note Added: 0005305
2017-06-15 04:35 Arkyo Status feedback => assigned
2017-06-15 04:39 Arkyo Note Edited: 0005305 View Revisions
2017-06-15 04:45 Arkyo Note Edited: 0005305 View Revisions
2017-06-18 08:10 Arkyo Note Added: 0005309
2017-06-18 12:03 Chocohead Note Added: 0005311
2017-06-18 12:44 Arkyo Note Added: 0005312
2017-06-18 13:21 Player Note Added: 0005313
2017-06-26 14:19 Arkyo Note Added: 0005324
2017-06-26 19:08 Player Note Added: 0005325
2017-06-30 10:48 Arkyo Note Added: 0005339
2017-06-30 10:57 Player Note Added: 0005340
2017-06-30 10:59 Arkyo Note Added: 0005341
2017-06-30 11:01 Player Note Added: 0005342
2017-06-30 11:02 Arkyo Note Added: 0005343
2017-07-06 11:23 Arkyo File Added: latest.log
2017-07-06 11:23 Arkyo Note Added: 0005357
2017-07-06 11:26 Arkyo Note Edited: 0005357 View Revisions
2017-07-06 11:27 Arkyo Note Added: 0005358
2017-07-06 15:43 Chocohead Note Added: 0005359
2017-07-07 02:32 Arkyo Note Added: 0005364
2017-07-10 13:34 Chocohead Status assigned => resolved
2017-07-10 13:34 Chocohead Fixed in Version => Builds for MC 1.10.x
2017-07-10 13:34 Chocohead Resolution open => fixed